@charset "UTF-8";
/* Import Fonts */
@import url('https://fonts.googleapis.com/css2?family=Fredoka&family=Ranchers&display=swap');

 /* Variable Declarations*/ 
 html {
    /* Colors */
    --queenporcelain: #f1f1f1;
    --maroon: #6F263D;
    --powderblue: #6BACE4;
    --green: #046a38;
    --phlred: #A90E20;
    /* Font declarations will be done with predefined tags */ 
 }

 :root {
    margin: 0;
    padding: 0;
 }

/* Global Styles*/

body {
    color: black;
    background-color: var(--queenporcelain);
    margin: 0;
    padding: 0;

    background-image: url(../images/triangles_mobile.png);
    background-attachment: scroll;
    background-size: 30%;
    background-position-x: right;
    background-position-y: top;
    background-repeat: repeat-y;
}
/* Text Style Declarations */

h1 {
    font-family: "Ranchers", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 24px;
}

h2 {
    font-family: "Fredoka", sans-serif;
    font-optical-sizing: auto;
    font-weight: 700;
    font-style: normal;
    font-variation-settings:
        "wdth" 100;
    font-size: 20px;
}
p {
    font-family: "Fredoka", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-variation-settings:
        "wdth" 100;
    font-size: 16px;
}

a {
    text-decoration: underline;
    color: inherit;
}

a:hover, a:active {
    color: inherit;
}

/* ~ NAV BAR ~ */

nav {
    background-color: var(--green);
    display: inline-flex;
    position: fixed;
    width: 100%;
    height: 70px;
    z-index: 100;
    top: 0;
}

#navCtnr {
    display: inline-flex;
    margin: 0 50% 0 20px ;
}


#navImgCtnr {
    width: 90px;
    height: 90px;
    background-color: var(--green);
    border-radius: 100%;
    padding: 6px;
    align-self: flex-start;
}

#navImgCtnr img {
    width: 100%;
}

#hamburgerMenu {
    display: block;
}

.navText {
    display: none;
 }



/* ~ MODAL~ */

/* Default hidden state for hamburger menu */
#hamburgerMenu {
    display: none;
    font-size: 30px;
    cursor: pointer;
}
    
    #hamburgerMenu {
        display: block;
    }

/* Modal menu styling */
#modalMenu {
    display: none;
    position: fixed;
    top: 68px;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(4, 106, 56, 0.9);
    justify-content: first baseline;
    align-items: center;
    flex-direction: column;
    z-index: 10;
}

#modalContent {
    background: none;
    padding: 60px 0 0;
    text-align: center;
}

#modalMenu a {
    display: block;
    padding: 20px;
    font-size: 24px;
    color: white;
    text-decoration: none;
}

#closeModal {
    color: white;
    font-size: 30px;
    cursor: pointer;
    display: block;
    margin-bottom: 10px;
}

/* ~ MAIN CONTENT ~ */

.mainContent {
    margin: 110px 20px 0;
}

#hello {
    margin: 20px 0 40px;
}

#hero {
    display: none;
}

#heroIMG {
    display: none;
}
/* ~ FOOTER ~ */

#footer {
    justify-items: center;
    padding: 30px 0;
    margin: 20px;
}

#footer p {
    font-size: 14px;
    text-shadow: 0 0 10px var(--queenporcelain),
                 0 0 20px var(--queenporcelain);

}

#trademark {
    text-align: center;
}


/* ~ RESPONSIVE SIZING ~ */
@media screen and (min-width: 945px) {
    body {

    background-image: url(../images/triangles_tablet\ \(1\).png);
    background-attachment: scroll;
    background-size: 30%;
    background-position-x: right;
    background-position-y: top;
    background-repeat: repeat-y;
    }
    #hamburgerMenu {
        display: none;
    }
    
    #navCtnr {
    margin: 0;
    width: 100%;
    justify-content: center;
    }

    .navText {
    text-decoration: none;
    color: var(--queenporcelain);
    margin: 20px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 170px;
    overflow: hidden;
    }

    #mainLanding {
        margin: 0px;
        padding: 0;
    }

    #mainContainer {
        display: inline-flex;
        margin-left: 80px;
        margin-top: 40px;
        align-items: flex-start;
        width: 80%;
        justify-items: center;
        overflow: hidden;
        padding-bottom: 150px;
    }

    .mainSub {
        width: 50%;
        text-shadow: 0 0 10px var(--queenporcelain),
                    0 0 20px var(--queenporcelain);
    }


    #hero {
        display: inline-flex;
        width: 100%;
        height: auto;
        overflow: hidden;
        margin: 0 0;
        padding: 0;
    }

    #heroIMG {
        display: inline;
        margin: 0;
        padding: 0;
        width: 100%;
        height: auto;
    }
}

@media screen and (min-width: 760px) {
    body {
    background-image: url(../images/triangles_tablet\ \(1\).png);
    background-attachment: scroll;
    background-size: 30%;
    background-position-x: right;
    background-position-y: top;
    background-repeat: repeat-y;
    }
}

@media screen and (min-width: 1100px) {

    body {
    background-image: url(../images/triangles_web1.png);
    background-attachment: fixed;
    background-size: 100%;
    background-position-x: left;
    background-position-y: 100%;
    background-repeat: no-repeat;
    }

}